local limitOffset = 0
local procTime = 0
local timePassed = 0
local cooledDown = 60000

function MaFT_AddonOnLoaded(eventCode, addonName)
	if addonName == "MagickaFloodTimer" then
		limitOffset = (ZO_PlayerAttributeMagickaBar:GetWidth() / -3) - 3
		MaFT:SetParent(ZO_PlayerAttributeMagickaBar)
		MaFT_Limit:SetAnchor(RIGHT, ZO_PlayerAttributeMagickaBar, RIGHT, limitOffset, 1)	
		MaFT_Current:SetAnchor(RIGHT, ZO_PlayerAttributeMagickaBar, RIGHT, limitOffset, 1)	
		EVENT_MANAGER:RegisterForEvent("MagickaFloodTimer", EVENT_COMBAT_EVENT, MaFT_CombatEvent) 
	end
end
 
function MaFT_CombatEvent(event, result , isError , abilityName, abilityGraphic, abilityActionSlotType, sourceName, sourceType, targetName, targetType, hitValue, powerType, damageType, log )
	if not isError and result == ACTION_RESULT_POWER_ENERGIZE then
		if abilityName == "Robes of the Warlock" or abilityName == "Roben des Hexers^p" or abilityName == "Robes du sorcier^pf" then
			MaFT_Limit:SetTexture("/esoui/art/charactercreate/charactercreate_leftarrow_over.dds")
			procTime = GetGameTimeMilliseconds()
			timePassed = 0	
			cooledDown = -1000 --force instant update at "if timePassed - cooledDown > x then"
		end
	end
	--CHAT_SYSTEM:AddMessage(string.format("%d, %s, %s, %s, %d, %d", result, abilityName, sourceName, targetName, hitValue, procTime))
end

function MaFT_OnUpdate()
	if cooledDown < 60000 then
		timePassed = GetGameTimeMilliseconds() - procTime
		if timePassed - cooledDown > 333 then --update all x ms only
			cooledDown = timePassed
			if cooledDown > 60000 then
				cooledDown = 60000
				MaFT_Limit:SetTexture("/esoui/art/charactercreate/charactercreate_leftarrow_up.dds")
			end
			MaFT_Current:SetAnchor(RIGHT, ZO_PlayerAttributeMagickaBar, RIGHT, (limitOffset / 60000) * cooledDown, 1) --is this the only way to move a texture?
		end
	end
end

EVENT_MANAGER:RegisterForEvent("MagickaFloodTimer", EVENT_ADD_ON_LOADED, MaFT_AddonOnLoaded)